Part Box/it: Difference between revisions

From FreeCAD Documentation
(Created page with "==Uso== * Cliccare sull'icona {{KEY|30px}} dell'ambiente Parte. * In alternativa, selezionare {{MenuCommand|Parte → Primitive → Cubo}} nel menu a t...")
(Created page with "==Opzioni== * Tramite l'editor delle Proprietà: ** '''Length:''' Imposta la lunghezza, sull'asse x, per l'oggetto Cubo (default è 10 mm). ** '''Widt...")
Line 10: Line 10:
* In alternativa, selezionare {{MenuCommand|Parte → Primitive → Cubo}} nel menu a tendina di Part.
* In alternativa, selezionare {{MenuCommand|Parte → Primitive → Cubo}} nel menu a tendina di Part.


==Options==
==Opzioni==
* Via the [[Property_editor | Property Editor]]:
* Tramite l'editor delle [[Property_editor/it | Proprietà]]:
** '''Length:''' Set the length distance for your Box object (default is 10 mm).
** '''Length:''' Imposta la lunghezza, sull'asse x, per l'oggetto Cubo (default è 10 mm).
** '''Width:''' Set the width distance for your Box object (default is 10 mm).
** '''Width:''' Imposta la larghezza, sull'asse y, per l'oggetto Cubo (default è 10 mm).
** '''Height:''' Set the height distance for your Box object (default is 10 mm).
** '''Height:''' Imposta l'altezza, sull'asse z, per l'oggetto Cubo (default è 10 mm).
** '''Placement:''' Specifies the orientation and position of the Box in the 3D space. See [[Placement | Placement]]. The reference point is the left front lower corner of the box.
** '''Placement:''' Specifica l'orientamento e la posizione del Cubo nello spazio 3D. Vedere [[Placement/it| Posizionamento]]. Il punto di riferimento è l'angolo anteriore in basso a sinistra del cubo.
** '''Label:''' The Label is the name given to the operation. This name can be changed at your convenience.
** '''Label:''' L'etichetta è il nome assegnato all'operazione. Questo nome può essere modificato a piacimento.


==Properties==
==Properties==

Revision as of 20:19, 7 October 2015

Cubo

Posizione nel menu
Parte → Primitive → Cubo
Ambiente
Parte, Completo
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Parte → Crea primitive... → Cubo

Descrizione

Il comando Cubo dell'ambiente Part inserisce nel documento attivo un parallelepipedo parametrico. Di default, inserisce un cubo con i lati di 10 mm, posizionato nell'origine, e con l'etichetta "Cubo". Questi parametri possono essere modificati dopo aver aggiunto l'oggetto.

Part_Box

Uso

  • Cliccare sull'icona dell'ambiente Parte.
  • In alternativa, selezionare Parte → Primitive → Cubo nel menu a tendina di Part.

Opzioni

  • Tramite l'editor delle Proprietà:
    • Length: Imposta la lunghezza, sull'asse x, per l'oggetto Cubo (default è 10 mm).
    • Width: Imposta la larghezza, sull'asse y, per l'oggetto Cubo (default è 10 mm).
    • Height: Imposta l'altezza, sull'asse z, per l'oggetto Cubo (default è 10 mm).
    • Placement: Specifica l'orientamento e la posizione del Cubo nello spazio 3D. Vedere Posizionamento. Il punto di riferimento è l'angolo anteriore in basso a sinistra del cubo.
    • Label: L'etichetta è il nome assegnato all'operazione. Questo nome può essere modificato a piacimento.

Properties

Base

  • DatiPlacement: Specifies the orientation and position of the Box in the 3D space. See Placement. The reference point is the left front lower corner of the box.
  • DatiLabel: Label given to the Box object. Change to suit your needs.

Box

  • DatiLength: The length parameter is the Box's dimension in the x-direction.
  • DatiWidth: The width parameter is the Box's dimension in the y-direction.
  • DatiHeight: The height parameter is the Box's dimension in the z-direction.

Part_Box-Properties

Scripting

The Box command can by used in macros and from the python console using the following function:

FreeCAD.ActiveDocument.addObject("Part::Box", "myBox")
  • Where "myBox" is the label for the Box object.
  • Returns newly created object of type Box.

You can access and modify attributes of the Box object. For example, you may wish to modify the length, width and height parameters.

FreeCAD.ActiveDocument.myBox.length = 25
FreeCAD.ActiveDocument.myBox.width = 15
FreeCAD.ActiveDocument.myBox.height = 30

You can change its placement with:

FreeCAD.ActiveDocument.myBox.Placement = FreeCAD.Placement(FreeCAD.Vector(4, 6, 3), FreeCAD.Rotation(30, 45, 10))

FreeCAD - Version

Beginning in FreeCAD version 0.14, a Part Box is referred to in the GUI elements as a Cube and the default label is "Cube".